Page MenuHomePhabricator

Ensure that Wikimedia DC server is up to date
Closed, ResolvedPublic

Description

Make sure all the software (OS, MediaWiki, etc.) is up to date.

Event Timeline

Harej created this task.Feb 10 2015, 4:26 AM
Harej assigned this task to Legoktm.
Harej raised the priority of this task from to Medium.
Harej updated the task description. (Show Details)
Harej added a project: Wikimedia-DC.
Harej added subscribers: Harej, Isarra, Emufarmers.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 10 2015, 4:26 AM
Legoktm renamed this task from Run updates on server to Ensure that Wikimedia DC server is up to date.Feb 10 2015, 4:27 AM
Legoktm set Security to None.
Harej added a comment.Feb 10 2015, 4:32 AM

Hence the task!

All OS updates have been applied, upgrading MW looks like it will be fun...

Harej added a comment.Jun 1 2015, 1:00 PM

Isn't the latest version 1.25? Or are we sticking to the LTS versions?

The 1.24 upgrade is a little more involved because skins/common was moved, and I didn't want to do it late in the evening without planning, so we're now at a version that at least gets security patches. I'll work on the 1.25 upgrade sometime this week.

Harej moved this task from Backlog to In Progress on the Wikimedia-DC board.Jul 28 2015, 6:32 PM
Legoktm closed this task as Resolved.Oct 18 2015, 11:56 PM

We're going to stick with the LTS versions for now. All OS packages are up to date and I'm tracking Ubuntu security notices, etc.

Harej moved this task from In Progress to Done on the Wikimedia-DC board.Oct 20 2015, 6:13 AM